IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCurrencyList')
	BEGIN
		PRINT 'Dropping Procedure adfCurrencyList'
		DROP  Procedure  adfCurrencyList
	END

GO

PRINT 'Creating Procedure adfCurrencyList'
GO
/******************************************************************************
**		File: 
**		Name: adfCurrencyList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCurrencyList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State]
	FROM
		[Currency]
	
	RETURN 0
GO

GRANT EXEC ON adfCurrencyList TO PUBLIC
GO
