IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwDocumentCategory')
	BEGIN
		PRINT 'Dropping View adfvwDocumentCategory'
		DROP  View adfvwDocumentCategory
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwDocumentCategory
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwDocumentCategory'
GO
CREATE VIEW adfvwDocumentCategory
AS
	SELECT
		[DocumentCategory].[DocumentClass],
		[DocumentCategory].[DocumentID],
		[DocumentCategory].[CategoryID],
		[Category].[FileAs] as [CategoryName]
	FROM
		[Category] INNER JOIN [DocumentCategory]
			ON ([Category].[State] = 1 AND [Category].[ID] = [DocumentCategory].[CategoryID])

GO
