--SELECT [ID], [Name] FROM [Right] WHERE [Name] IN ('ManageAllCalculate', 'ManageAllInvoice', 'ManageAllStatement')

DECLARE @old int, @new int, @proceed int
SET @proceed = 1

WHILE @proceed <= 3
BEGIN
	SELECT @old = [ID] FROM [Right] 
	WHERE 
		(@proceed = 1 AND [Name] = 'ManageAllCalculate') OR
		(@proceed = 2 AND [Name] = 'ManageAllInvoice') OR
		(@proceed = 3 AND [Name] = 'ManageAllStatement')
		
	SELECT @new = [ID] FROM [Right] 
	WHERE 
		(@proceed = 1 AND [Name] = 'ManageAllCalculations') OR
		(@proceed = 2 AND [Name] = 'ManageAllInvoices') OR
		(@proceed = 3 AND [Name] = 'ManageAllStatements')
	
	UPDATE 
		[AccessRight] 
	SET 
		[RightID] = @new 
	WHERE 
		[RightID] = @old AND 
		NOT EXISTS(SELECT * FROM [AccessRight] a  WHERE a.[TrusteeID] = [AccessRight].[TrusteeID] AND a.[RightID] = @new)

	DELETE FROM [AccessRight] WHERE [RightID] = @old

	UPDATE 
		[TransitionTemplate] 
	SET 
		[RightID] = @new 
	WHERE 
		[RightID] = @old
	DELETE FROM [Right] WHERE [ID] = @old
	
	SET @proceed = @proceed + 1
END
GO
