IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfPositionList')
	BEGIN
		PRINT 'Dropping Procedure adfPositionList'
		DROP  Procedure  adfPositionList
	END

GO

PRINT 'Creating Procedure adfPositionList'
GO
/******************************************************************************
**		File: 
**		Name: adfPositionList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfPositionList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State]
	FROM
		[Position]
	WHERE
		[State] < 100
		
	RETURN 0
GO

GRANT EXEC ON adfPositionList TO PUBLIC
GO
