IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetRightID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetRightID'
		DROP FUNCTION [dbo].[adfGetRightID]
	END

GO

PRINT 'Creating function adfGetRightID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetRightID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetRightID
	(@name TSysname)
RETURNS INT
AS
BEGIN
	DECLARE @ID INT
	SELECT @ID = [Right].[ID] FROM [Right] WHERE [Right].[Name] = @name
	RETURN @ID
END
GO

GRANT EXECUTE ON adfGetRightID TO public
GO
