IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfDatabasePropertyGet]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfDatabasePropertyGet'
		DROP PROCEDURE [dbo].[adfDatabasePropertyGet]
	END
GO

CREATE PROCEDURE adfDatabasePropertyGet
	@Name TName,
	@Value TVariant OUTPUT 
AS
	SET NOCOUNT ON
	SELECT @Value = DATABASEPROPERTY(db_name(), @Name)
	
	RETURN @@error
GO

GRANT EXEC ON adfDatabasePropertyGet TO PUBLIC
GO
