IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfActionDelete')
	BEGIN
		PRINT 'Dropping Procedure adfActionDelete'
		DROP  Procedure  adfActionDelete
	END

GO

PRINT 'Creating Procedure adfActionDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfActionDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfActionDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON
	
	DELETE [Action] WHERE [Action].[ID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfActionDelete TO PUBLIC
GO
