SET IDENTITY_INSERT [BudgetType] ON
IF NOT EXISTS(SELECT * FROM [BudgetType])
BEGIN
	INSERT INTO [BudgetType] ([ID], [FileAs]) VALUES(1, '  ')
	INSERT INTO [BudgetType] ([ID], [FileAs]) VALUES(2, '')
	INSERT INTO [BudgetType] ([ID], [FileAs]) VALUES(3, '')
	INSERT INTO [BudgetType] ([ID], [FileAs]) VALUES(4, '')
	INSERT INTO [BudgetType] ([ID], [FileAs]) VALUES(5, '')
END
SET IDENTITY_INSERT [BudgetType] OFF
GO

IF NOT EXISTS(SELECT *FROM [BudgetTypeGlobal])
BEGIN
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'ru', '  ')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'en', 'For Project')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'ru', '')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'en', 'Monthly')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(3, 'ru', '')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(3, 'en', 'Quarterly')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(4, 'ru', '')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(4, 'en', 'Half-yearly')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(5, 'ru', '')
	INSERT INTO [BudgetTypeGlobal] ([ID], [Language], [FileAs]) VALUES(5, 'en', 'Yearly')
END
GO

SET IDENTITY_INSERT [BudgetLineGroupType] ON
IF NOT EXISTS(SELECT *FROM [BudgetLineGroupType])
BEGIN
	INSERT INTO [BudgetLineGroupType] ([ID], [FileAs]) VALUES(1, ' ')
	INSERT INTO [BudgetLineGroupType] ([ID], [FileAs]) VALUES(2, ' ')
END
SET IDENTITY_INSERT [BudgetLineGroupType] OFF
GO

IF NOT EXISTS(SELECT * FROM [BudgetLineGroupTypeGlobal])
BEGIN
	INSERT INTO [BudgetLineGroupTypeGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'en', 'Work group')
	INSERT INTO [BudgetLineGroupTypeGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'en', 'Expense group')
	INSERT INTO [BudgetLineGroupTypeGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'ru', ' ')
	INSERT INTO [BudgetLineGroupTypeGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'ru', ' ')
END
GO

IF NOT EXISTS(SELECT * FROM [BudgetWarningFlag])
BEGIN
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(0, '   ', 1)
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(1, '  ,    ', 1)
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(2, '     ''''', 1)
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(3, ' .          ', 2)
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(4, '     ', 2)
	INSERT INTO [BudgetWarningFlag] ([ID], [FileAs], [WarningType]) VALUES(5, '     ', 2)
END

IF NOT EXISTS(SELECT * FROM [BudgetWarningFlagGlobal])
BEGIN
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(0, 'ru', '   ')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'ru', '  ,    ')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'ru', '     ''''')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(3, 'ru', ' .          ')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(4, 'ru', '     ')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(5, 'ru', '     ')

	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(0, 'en', 'No warnings and errors')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(1, 'en', 'Budget has lines with empty budget parameters fields')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(2, 'en', 'Project already has an open budget')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(3, 'en', 'Calculation failed. The chain of the subbudgets contains ruptures or budgets with other parameters')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(4, 'en', 'Calculation is made without the subbudgets')
	INSERT INTO [BudgetWarningFlagGlobal] ([ID], [Language], [FileAs]) VALUES(5, 'en', 'There was an unforeseen error during calculation ')
END